Public Class frmFileInWork

    Private Sub btnInWork_Click(sender As Object, e As EventArgs) Handles btnInWork.Click
        Try
            If ClassFileResult.Set_InWork(1, txtComment.Text) = True Then
                Dim expression As String
                expression = "DocID = " & ClassFileResult.DocID
                Dim foundRowsLevel0() As DataRow
                ' Use the Select method to find all rows matching the filter.
                foundRowsLevel0 = CURRENT_DOC_RESULTS.Select(expression)
                Try
                    foundRowsLevel0(0)(13) = True
                Catch ex As Exception
                   
                End Try

                Me.Close()
            Else
                MsgBox("Unexpected Error 1 in Setting to work - Check logfile", MsgBoxStyle.Exclamation)
            End If
        Catch ex As Exception
            MsgBox("Unexpected Error 2 in Setting to work - Check logfile", MsgBoxStyle.Exclamation)
        End Try
    End Sub

    Private Sub frmFileInWork_Load(sender As Object, e As EventArgs) Handles Me.Load
        txtComment.Text = String.Empty
    End Sub
End Class